You are not logged in.

#1 2022-07-06 16:02:27

stefano
Member
Registered: 2011-04-09
Posts: 222

[SOLVED] Can't update: pipewire-media-session / wireplumber conflict

I have a system that was left untouched for 2 months (my workstation: I was abroad on business) and now that I'm back I'm having troubles updating it. The issue is with wireplumber:

$sudo pacman -Syu

:: Synchronizing package databases...
 testing                                                     10.7 KiB   114 KiB/s 00:00 [##################################################] 100%
 core is up to date
 extra                                                     1721.6 KiB  10.1 MiB/s 00:00 [##################################################] 100%
 community                                                    6.7 MiB  12.6 MiB/s 00:01 [##################################################] 100%
 multilib                                                   172.2 KiB  1672 KiB/s 00:00 [##################################################] 100%
 realtime is up to date
:: Starting full system upgrade...
:: Replace kwayland-server with extra/kwin? [Y/n] 
:: Replace python-dbus with extra/dbus-python? [Y/n] 
:: Replace python-dbus-common with extra/dbus-python? [Y/n] 
^[[A:: Replace qemu with extra/qemu-desktop? [Y/n] 
:: Replace sdl with community/sdl12-compat? [Y/n] 
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: wireplumber and pipewire-media-session are in conflict

From some wireplumber-related posts on the forums I gather that I should have been offered the option to replace pipewire-media-session with wireplumber precisely to avoid this conflict, but that didn't happen. Should I just remove pipewire-media-session ignoring deps and then installing wireplumber before issuing a new update command? In other words, is this the solution:

$ pacman -Rdd pipewire-media-sesison
$ pacman -S wireplumber
$ pacman -Syu

In case it's not apparent, I am *extremely* wary of partial upgrades.
Also, in (really) old posts I saw references to a testdb command that could be used to check the integrity of pacman's database, but I can't seem to find it. Is there an alternative way of doing it? Pacman's own wiki page provided no enlightenment.

Last edited by stefano (2022-07-06 16:24:59)

Offline

#2 2022-07-06 16:14:45

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,718

Re: [SOLVED] Can't update: pipewire-media-session / wireplumber conflict

You should not enable testing without enabling all the other testing repositories, remove that first and try to -Syuu again. The conflict probably doesn't resolve itself because your pipewire-media-session is so old it predates the logically correct setup, in which case your workaround should be fine (also note that if you actually opt for wireplumber you basically need to make sure your entire audio setup is geared for pipewire, so pipewire-{pulse,alsa} maybe jack if you need that. But definitely and in any case disable testing or you might run into other breakage.

Last edited by V1del (2022-07-06 16:16:28)

Offline

#3 2022-07-06 16:23:47

stefano
Member
Registered: 2011-04-09
Posts: 222

Re: [SOLVED] Can't update: pipewire-media-session / wireplumber conflict

Thanks for the quick reply. Removing the testing repo didn't solve the issue, So I went for the workaround. Seems to be working, pacman is happily processing 1621 packages....

BTW, I do have a full pipewire setup, but thanks for the heads-up.

Cheers,

S.

Offline

#4 2022-07-28 13:33:25

Hi-Angel
Member
Registered: 2016-07-16
Posts: 43

Re: [SOLVED] Can't update: pipewire-media-session / wireplumber conflict

Offline

#5 2022-07-28 17:57:24

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,718

Re: [SOLVED] Can't update: pipewire-media-session / wireplumber conflict

It's not a bug, it's intentional because pipewire-media-session is not maintained anymore. Please don't hijack solved threads to draw attention to your bug report.

Closing.

Offline

Board footer

Powered by FluxBB